controllers/EquipoController.php
<?php

namespace app\controllers;

use app\models\Equipo;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * EquipoController implements the CRUD actions for Equipo model.
 */
class EquipoController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Equipo models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Equipo::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'nomequipo' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Equipo model.
     * @param string $nomequipo Nomequipo
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($nomequipo)
    {
        return $this->render('view', [
            'model' => $this->findModel($nomequipo),
        ]);
    }

    /**
     * Creates a new Equipo model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Equipo();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'nomequipo' => $model->nomequipo]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Equipo model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param string $nomequipo Nomequipo
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($nomequipo)
    {
        $model = $this->findModel($nomequipo);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'nomequipo' => $model->nomequipo]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Equipo model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param string $nomequipo Nomequipo
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($nomequipo)
    {
        $this->findModel($nomequipo)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Equipo model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param string $nomequipo Nomequipo
     * @return Equipo the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($nomequipo)
    {
        if (($model = Equipo::findOne(['nomequipo' => $nomequipo])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/EtapaController.php
<?php

namespace app\controllers;

use app\models\Etapa;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * EtapaController implements the CRUD actions for Etapa model.
 */
class EtapaController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Etapa models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Etapa::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'numetapa' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Etapa model.
     * @param int $numetapa Numetapa
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($numetapa)
    {
        return $this->render('view', [
            'model' => $this->findModel($numetapa),
        ]);
    }

    /**
     * Creates a new Etapa model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Etapa();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'numetapa' => $model->numetapa]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Etapa model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $numetapa Numetapa
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($numetapa)
    {
        $model = $this->findModel($numetapa);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'numetapa' => $model->numetapa]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Etapa model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $numetapa Numetapa
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($numetapa)
    {
        $this->findModel($numetapa)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Etapa model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $numetapa Numetapa
     * @return Etapa the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($numetapa)
    {
        if (($model = Etapa::findOne(['numetapa' => $numetapa])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/LlevaController.php
<?php

namespace app\controllers;

use app\models\lleva;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * LlevaController implements the CRUD actions for lleva model.
 */
class LlevaController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all lleva models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => lleva::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'numetapa' => SORT_DESC,
                    'código' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single lleva model.
     * @param int $numetapa Numetapa
     * @param string $código Código
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($numetapa, $código)
    {
        return $this->render('view', [
            'model' => $this->findModel($numetapa, $código),
        ]);
    }

    /**
     * Creates a new lleva model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new lleva();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'numetapa' => $model->numetapa, 'código' => $model->código]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing lleva model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $numetapa Numetapa
     * @param string $código Código
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($numetapa, $código)
    {
        $model = $this->findModel($numetapa, $código);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'numetapa' => $model->numetapa, 'código' => $model->código]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing lleva model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $numetapa Numetapa
     * @param string $código Código
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($numetapa, $código)
    {
        $this->findModel($numetapa, $código)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the lleva model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $numetapa Numetapa
     * @param string $código Código
     * @return lleva the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($numetapa, $código)
    {
        if (($model = lleva::findOne(['numetapa' => $numetapa, 'código' => $código])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\SqlDataProvider;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->actionTopciclistas();
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
    
    public function actionNoticias(){
        return $this->render('noticias');
    }   
    
    public function actionDatos(){
        return $this->render('datos');
    }   
    
    public function actionNoticia(){        
        return $this->render("noticia");
    }
    public function actionNoticia2(){        
        return $this->render("noticia2");
    }
    public function actionNoticia3(){        
        return $this->render("noticia3");
    }
    
    /*
     * esta funcion se ejecuta desde la funcion actionIndex, lo que hace es realizar una consulta y devuelve un render 
     * y una variable donde se guardan los datos de la consulta para poder usarlos en la vista
     */
    
    public function actionTopciclistas(){
        $topEquipos = $this->actionTopequipos();
        $topEscaladores = $this->actionTopescaladores();
        $dorsalGanador = Yii::$app->db->createCommand("SELECT nombre FROM(SELECT e.dorsal, COUNT(*) AS victorias, c.nombre FROM etapa e LEFT JOIN ciclista c ON e.dorsal = c.dorsal GROUP BY dorsal ORDER BY victorias DESC limit 3) AS a")->queryAll();
        
        return $this->render("index",[
            "dorsal"=>$dorsalGanador,
            "topequipos"=>$topEquipos,
            "topescaladores"=>$topEscaladores,
        ]);
    }
    
    /*
     * funcion que es llamada por actionTopciclistas, realiza una consulta y 
     * devuelve una variable con los datos de la consulta
     */
    
    public function actionTopequipos(){
        $topEquipos = Yii::$app->db->createCommand("select nomequipo from(SELECT e.dorsal, COUNT(*) AS victorias, c.nomequipo FROM etapa e LEFT JOIN ciclista c ON e.dorsal = c.dorsal GROUP BY c.nomequipo ORDER BY victorias DESC LIMIT 3) AS a")->queryAll();
        
        return $topEquipos;
    }
    
    /*
     * funcion que usamos para calcular los tres mejores escaladores de la vuelta y nos lo retorna en una 
     * variable
     */
    
    public function actionTopescaladores(){
        $topEscaladores = Yii::$app->db->createCommand("SELECT nombre FROM (SELECT p.dorsal, c.nombre, COUNT(*) AS victorias FROM  puerto p LEFT JOIN ciclista c ON p.dorsal = c.dorsal GROUP BY p.dorsal ORDER BY victorias DESC LIMIT 3) AS a")->queryAll();
        
        return $topEscaladores;
    }
}


/*
 * consulta top 3 ciclista de la vuelta
 * 
 * SELECT nombre FROM(SELECT e.dorsal, COUNT(*) AS victorias, c.nombre FROM etapa e LEFT JOIN ciclista c ON e.dorsal = c.dorsal GROUP BY dorsal ORDER BY victorias DESC limit 3) AS a
 */

/*
 * consulta top 3 mejores equipos
 * 
 * select nomequipo from(SELECT e.dorsal, COUNT(*) AS victorias, c.nomequipo FROM etapa e LEFT JOIN ciclista c ON e.dorsal = c.dorsal GROUP BY c.nomequipo ORDER BY victorias DESC LIMIT 3) AS a
 */

/*
 * consulta usada para sacar los tres mejores escaladores de la vielta
 * SELECT nombre FROM (SELECT p.dorsal, c.nombre, COUNT(*) AS victorias FROM  puerto p LEFT JOIN ciclista c ON p.dorsal = c.dorsal GROUP BY p.dorsal ORDER BY victorias DESC LIMIT 3) AS a
 */

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/datos.php
<?php

/* @var $this yii\web\View */
use yii\helpers\Html;
$this->title = 'Datos generales';

?>
<div class="container">
    
    <div class="body-content">
        <div class="jumbotron text-center bg-transparent">
            <h1 class="display-4" style="padding-top: 15px">Información</h1>
        </div>
        <div class="row">
            
            <div class="col-sm-6 col-md-4 "> 
                <div class="card alturaminima shadow-sm">
                    
                    <div class="card-body tarjeta">
                        
                        <h3>Ciclistas</h3>
                        <p>Todos los ciclistas inscritos</p>
                           
                            <?= Html::a(Html::img('@web/images/ciclista.jpg',['width'=>'278','height'=>'150']),['/ciclista/index'],['class'=> 'imageneshome'])?>
                       
                    </div>
                </div>
             </div>  
            
             <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima shadow-sm">
                    <div class="card-body tarjeta">
                        <h3>Equipos</h3>    
                        <p>Equipos han participado</p>
                        
                            <?= Html::a(Html::img('@web/images/equipo.jpg',['width'=>'278','height'=>'150']),['/equipo/index'],['class'=> 'imageneshome'])?>
                        
                    </div>
                </div>
             </div>  
            
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima shadow-sm">
                    <div class="card-body tarjeta">
                        <h3>Etapas</h3>
                        <p>Todas las etapas que hay</p>
                        
                        <?= Html::a(Html::img('@web/images/etapa.jpg',['width'=>'278','height'=>'150']),['/etapa/index'],['class'=> 'imageneshome']) ?>
                        
                    </div>
                </div>
             </div>   
        
         
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima shadow-sm">
                    
                    <div class="card-body tarjeta">
                        
                        <h3>Maillots</h3>
                        <p>Todas las Maillots que hay</p>
                        
                         <?= Html::a(Html::img('@web/images/maillots.jfif',['width'=>'278','height'=>'150']),['/maillot/index'],['class'=> 'imageneshome'])?>
                        
                    </div>
                </div>
             </div>  
            
             <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima shadow-sm">
                    <div class="card-body tarjeta">
                        <h3>Puertos</h3>    
                        <p>Puertos que hay</p>
                        
                         <?= Html::a(Html::img('@web/images/puerto.jpg',['width'=>'278','height'=>'150']),['/puerto/index'],['class'=> 'imageneshome'])?>
                        
                    </div>
                </div>
             </div>  
            
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima shadow-sm">
                    <div class="card-body tarjeta">
                        <h3>LLevados</h3>
                        <p>Dorsal que ha llevado el ciclista</p>
                        
                         <?= Html::a(Html::img('@web/images/dorsalllevado.jpg',['width'=>'278','height'=>'150']),['/lleva/index'],['class'=> 'imageneshome'])?>
                        
                    </div>
                </div>
             </div> 
            </div>
    </div>
    </div> 

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/noticia.php
<?php
use yii\helpers\Html;
$this->title = 'Noticias';
?>


<div class="container">
    <div class="row stilobody">
        <div class="align-items-center col-10" style="padding: 30px">
            <p>VUELTA CICLISTA A ESPAÑA</p>
            <h1>Gorospe cedio el liderato al italiano Giovannetti</h1>
            <hr>
            <p class="text-justify">Un aspirante al mero triunfo de etapa, Carlos Hernández (Lotus), volvió a demostrar ayer que los favoritos de la Vuelta continúan todavía lejos de imponer su autoridad sobre la carrera. Hernández se adjudicó la victoria en una jornada, la 11ª entre León y la Estación de San Isidro, de 203 kilómetros, en la que los grandes se limitaron a rodar fuerte. Sólo los que no lograron mantener el ritmo cedieron tiempo, entre ellos el líder, Julián Gorospe (Banesto), que cedió su jersei amarillo al italiano Marco Giovannetti (Seur), un buen corredor que fue sexto en un Giro, pero cuyas perspectivas para mantenerlo son escasas.</p>
            <p class="text-justify">La jerarquía de la Vuelta sigue perfilándose de un modo imperceptible. La carrera hasta ahora se ha desarrollado al mejor estilo de las pruebas por eliminación. Los que la dominan no han conseguido su posición por haber desencadenado ataques individuales, sino por no haber perdido rueda respecto al grupo selecto de favoritos. Ello a pesar de que se ha superado ya el meridiano de la prueba y de que ayer se disputó la segunda de las cinco etapas con final en montaña.Los eliminados ayer fueron corredores con posibilidades, pero que no figuran entre los máximos favoritos. El hecho de que Gorospe cediera su liderato y de que Etxabe, Unzaga, Ivanov, Herrera y Lejarreta perdieran tiempo no supuso ninguna gran sorpresa.</p>
            <p class="text-justify">El respeto entre los favoritos y tal vez el no disimulado miedo a pagar el sobreesfuerzo evitó que apenas se produjera atque alguno en el furgón de élite. Únicamente Gastón, a dos kilómetros, se atrevió a adelantarse ligeramente y sin éxito. Los últimos 14 kilómetros y las rampas del puerto de San Isidro tampoco eran excesivamente duros, no lo suficiente para invitar a que se rompiese el grupo.</p>
            <br>
            <h4>Tramo final</h4>
            <p class="text-justify">Las acciones esenciales en el tramo Final se basaron en las apetencias del equipo Seur en conseguir el liderato. El primer síntoma de debilidad de Gorospe, a unos 14 kilómetros de la llegada, fue aprovechado por Pino para marcar un ritmo más exigente. Entre él y el colombiano Farfán (Kelme) provocaron la lenta desaparición en el grupo de Gorospe, del colombiano Herrera -ganador de la Vuelta en 1987-, del soviético Ivanov -sexto en la edición del año pasado y cuarto hasta ayer- y de Etxabe, que también intentó un ,breve ataque pero que acabó cediendo terreno.</p>
            <p class="text-justify">Unzaga y Lejarreta, que fueron los máximos impulsores de la escapada que determinó el curso de la etapa en sus 170 primeros kilómetros, también cedieron tiempo. El primero resistió casi hasta el final las acometidas de los favoritos. Lejarreta se mantuvo en cabeza hasta que sufrió una caída, que acabó por hacerle imposible mantener el ritmo de Montoya, que le dejó en el descenso de la Cobertoria, puerto de primera categoría, a 60 kilómetros de la meta.</p>
            <p class="text-justify">Montoya fue la baza que utilizó el BH para intentar su segundo triunfo de etapa, pero acabó sufriendo un desfallecimiento espectacular cuando faltaban sólo seis kilómetros. Carlos Hernández, bicampeón de España, le rebasó con una soltura espectacular que le permitió llegar en solitario y adjudicarse su tercera etapa de la Vuelta a España a lo largo de su carrera.</p>
            <p class="text-justify">La victoria de Hernández es otro síntoma de las dificultades de los favoritos para imponer su hegemonía. Los que luchan únicamente por la victoria de etapa les superan con cierta facilidad, como ya sucedió en Sierra Nevada, donde se impuso el francés Esnault (BH).</p>
            <p class="text-justify">Otro detalle a tener en cuenta en este momento de la Vuelta es que los colombianos no acaban de obtener fruto de la calidad de sus numerosos escaladores, y cada vez seven más resignados a esperar lo que pueda hacer Parra y tal vez Cadena, que sin haber realizado nada espectacular ha mantenido una regularidad que le permite estar segundo en la general.</p>
        </div>
        <div class="col-2 card shadow-sm" style="background-color: buttonhighlight">
            <h3 style="text-align: center">Noticias</h3>
            <div class="row">
                <div class="col card shadow-sm">
                    <h4 class="text-justify">Los directores de equipos asumen el riesgo de sus tácticas</h4>
                    <p class="text-justify">Los directores deportivos de los equipos españoles asumen el notable riesgo del peligroso juego táctico que han utilizado en las seis primeras etapas de la Vuelta 
                       <?= Html::a('Seguir leyendo...',['site/noticia2'])?>
                    </p>
                </div>
            </div>
             <div class="row">
                <div class="col card shadow-sm">
                    <h4 class="text-justify">Primer golpe de mano de Banesto en la Vuelta</h4>
                    <p class="text-justify">La omnipresencia parece ser la regla de (oro para todo aspirante a ganar la actual edición de la Vuelta a España. Desaparecer de la cabeza del pelotón, tan siquiera fugazmente, conduce directamente al furgón de cola
                       <?= Html::a('Seguir leyendo...',['site/noticia3'])?>
                    </p>
                </div>
            </div>
            
        </div>
    </div>
</div>

views/site/noticias.php
<?php
use yii\helpers\Html;
$this->title = 'Noticias';
?>


<div class="container">
    <div class="row stilobody">
        <div class="align-items-left col-12 card shadow-sm" style="padding: 30px; margin-bottom: 30px">
            <h1>Gorospe cedio el liderato al italiano Giovannetti</h1>
            <hr>
            <p class="text-justify">Un aspirante al mero triunfo de etapa, Carlos Hernández (Lotus), volvió a demostrar ayer que los favoritos de la Vuelta continúan todavía lejos de imponer su autoridad sobre la carrera. Hernández se adjudicó la victoria en una jornada, la 11ª entre León y la Estación de San Isidro, de 203 kilómetros, en la que los grandes se limitaron a rodar fuerte. Sólo los que no lograron mantener el ritmo cedieron tiempo, entre ellos el líder, Julián Gorospe (Banesto), que cedió su jersei amarillo al italiano Marco Giovannetti (Seur), un buen corredor que fue sexto en un Giro, pero cuyas perspectivas para mantenerlo son escasas.</p>
            <?= Html::a('Seguir leyendo...',['site/noticia'])?>
        </div>
        <div class="align-items-left col-12 card shadow-sm" style="padding: 30px; margin-bottom: 30px">
            <h1>Los directores de equipos asumen el riesgo de sus tácticas</h1>
            <hr>
            <p class="text-justify">Los directores deportivos de los equipos españoles asumen el notable riesgo del peligroso juego táctico que han utilizado en las seis primeras etapas de la Vuelta. El resultado es que los principales favoritos han cedido un tiempo importante respecto a corredores que, sin ser jefes de fila, pueden dar motivos a múltiples especulaciones sobre su opción para mantener sus actuales posiciones. José Miguel Echávarri (Banesto) explica su criterio sobre lo que ha sucedido hasta el momento Refiriéndose a Gorospe, Giovanetti, Cadena, Ivanov y Farfan, explica: "Hasta ahora esta mos poniendo sobre el tapete caballos y sotas y nos reservamos los ases y los reyes. Pero es un juego muy peligroso. Nadie puede estar tranquilo con esta situación, aunque nuestra posición es mejor que la de otros".Existe coincidencia unánime en definir como una "locura" el desarrollo de la carrera.</p>
            <?= Html::a('Seguir leyendo...',['site/noticia2'])?>
        </div>
        <div class="align-items-left col-12 card shadow-sm" style="padding: 30px; margin-bottom: 30px">
            <h1>Primer golpe de mano de Banesto en la Vuelta</h1>
            <hr>
            <p class="text-justify">La omnipresencia parece ser la regla de (oro para todo aspirante a ganar la actual edición de la Vuelta a España. Desaparecer de la cabeza del pelotón, tan siquiera fugazmente, conduce directamente al furgón de cola. Ayer lo comprobaron Lejarreta y Cabestany, Pino, y el suizo Rominger, que perdieron 52 segundos respecto al grupo de los mejores, que voló bajo la impulsión del equipo Banesto de Delgado e Induráin.</p>
            <?= Html::a('Seguir leyendo...',['site/noticia3'])?>
        </div>
    </div>
</div>

views/site/resultado.php
<?php
use yii\grid\GridView;
?>

<div class="jumbotron">
    <h2><?=$titulo?></h2>
    
    <p class="lead"><?= $enunciado?></p>
    <div class="well">
        <?= $sql ?>
    </div>
</div>

<?=GridView::widget([
    'dataProvider'=>$resultados,
    'columns'=>$campos
]);?>